<html devsite><head>
    <title>Android のセキュリティに関する公開情報 - 2017 年 10 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          //www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->
<p><em>2017 年 10 月 2 日公開 | 2017 年 10 月 3 日更新</em></p>

<p>Android のセキュリティに関する公開情報には、Android 搭載端末に影響を与えるセキュリティの脆弱性の詳細を掲載しています。2017 年 10 月 5 日以降のセキュリティ パッチレベルでは、下記のすべての問題に対処しています。端末のセキュリティ パッチレベルを確認する方法については、<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Android のバージョンを確認して更新する</a>をご覧ください。</p>

<p>Android パートナーには、情報公開の少なくとも 1 か月前にすべての問題が通知されます。Android オープンソース プロジェクト（AOSP）レポジトリに、下記の問題に対するソースコードのパッチをリリースしています。AOSP 以外のパッチへのリンクも掲載しています。</p>

<p>下記の問題のうち最も重大度の高いものは、メディア フレームワークに重大な脆弱性があるため、離れた場所にいる攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあることです。<a href="/security/overview/updates-resources.html#severity">重大度の評価</a>は、攻撃対象の端末でその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。</p>

<p>この新たに報告された問題によって実際のユーザー端末が不正使用された報告はありません。<a href="/security/enhancements/index.html">Android セキュリティ プラットフォームの保護</a>や Google Play プロテクトについて詳しくは、<a href="#mitigations">Android と Google Play プロテクトのリスク軽減策</a>をご覧ください。こうした保護により、Android プラットフォームのセキュリティが改善されます。</p>

<p>ご利用の端末に上記のアップデートを適用することをすべてのユーザーにおすすめします。</p>

<p class="note"><strong>注:</strong> 最新の無線（OTA）アップデートと Google 端末のファームウェア イメージについての情報は、<a href="/security/bulletin/pixel/2017-10-01">2017 年 10 月の Pixel / Nexus のセキュリティに関する公開情報</a>でご覧いただけます。</p>

<h2 id="announcements">お知らせ</h2>
<ul>
  <li>月例の <a href="/security/bulletin/pixel">Pixel / Nexus のセキュリティに関する公開情報</a>を新たに公開しました。Pixel 端末と Nexus 端末で新たに対処されたセキュリティの脆弱性や機能強化に関する情報を掲載しています。Android 搭載端末メーカーは、自社の端末でそれらの問題に対処することができます。詳しくは、<a href="#split">一般的な質問と回答</a>をご覧ください。</li>
  <li>セキュリティに関する公開情報の謝辞は、<a href="/security/overview/acknowledgements.html">Android セキュリティの謝辞</a>ページに直接掲載しています。</li>
</ul>

<h2 id="mitigations">Android と Google サービスでのリスク軽減策</h2>
<p>ここでは、<a href="/security/enhancements/index.html">Android セキュリティ プラットフォーム</a>の保護と <a href="https://www.android.com/play-protect">Google Play プロテクト</a>のようなサービスの保護によるリスクの軽減について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らします。</p>
<ul>
  <li>Android プラットフォームの最新版での機能強化により、Android 上の多くの問題の悪用が困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。</li>
  <li>Android セキュリティ チームは、<a href="https://www.android.com/play-protect">Google Play プロテクト</a>によって脆弱性の悪用を積極的に監視しており、<a href="/security/reports/Google_Android_Security_PHA_classifications.pdf">有害なおそれのあるアプリ</a>についてユーザーに警告しています。Google Play プロテクトは、<a href="http://www.android.com/gms">Google モバイル サービス</a>を搭載した端末ではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。</li>
</ul>
<h2 id="2017-10-01-details">セキュリティ パッチレベル 2017-10-01 の脆弱性の詳細</h2>
<p>パッチレベル 2017-10-01 に該当するセキュリティ脆弱性の各項目について、下記に詳細を説明します。脆弱性は、影響を受けるコンポーネントごとに分類しています。問題の内容について説明し、CVE、関連する参照先、<a href="#type">脆弱性のタイプ</a>、<a href="/security/overview/updates-resources.html#severity">重大度</a>、更新対象の AOSP バージョン（該当する場合）を表にまとめています。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更（AOSP の変更の一覧など）へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクを設定しています。</p>

<h3 id="framework">フレームワーク</h3>
<p>フレームワークの最も重大な脆弱性により、悪意のあるローカルアプリによって、追加権限を取得するためのユーザー操作の要件が回避されるおそれがあります。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参照</th>
    <th>タイプ</th>
    <th>重大度</th>
    <th>更新対象の AOSP バージョン</th>
  </tr>
  <tr>
    <td>CVE-2017-0806</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/b87c968e5a41a1a09166199bf54eee12608f3900">A-62998805</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
</tbody></table>

<h3 id="media-framework">メディア フレームワーク</h3>
<p>メディア フレームワークの最も重大な脆弱性は、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあることです。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参照</th>
    <th>タイプ</th>
    <th>重大度</th>
    <th>更新対象の AOSP バージョン</th>
  </tr>
  <tr>
    <td>CVE-2017-0809</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/552a3b5df2a6876d10da20f72e4cc0d44ac2c790">A-62673128</a></td>
    <td>RCE</td>
    <td>重大</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0810</td>
    <td><a href="https://android.googlesource.com/platform/external/libmpeg2/+/7737780815fe523ad7b0e49456eb75d27a30818a">A-38207066</a></td>
    <td>RCE</td>
    <td>重大</td>
    <td>6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0811</td>
    <td><a href="https://android.googlesource.com/platform/external/libhevc/+/25c0ffbe6a181b4a373c3c9b421ea449d457e6ed">A-37930177</a></td>
    <td>RCE</td>
    <td>重大</td>
    <td>5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0812</td>
    <td><a href="https://android.googlesource.com/device/google/dragon/+/7df7ec13b1d222ac3a66797fbe432605ea8f973f">A-62873231</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0815</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f490fc335772a9b14e78997486f4a572b0594c04">A-63526567</a></td>
    <td>ID</td>
    <td>中</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
  <tr>
    <td>CVE-2017-0816</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/f490fc335772a9b14e78997486f4a572b0594c04">A-63662938</a></td>
    <td>ID</td>
    <td>中</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
</tbody></table>

<h3 id="system">システム</h3>
<p>システムの最も重大な脆弱性により、近くにいる攻撃者が特権プロセス内で任意のコードを実行するおそれがあります。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参照</th>
    <th>タイプ</th>
    <th>重大度</th>
    <th>更新対象の AOSP バージョン</th>
  </tr>
  <tr>
    <td>CVE-2017-14496</td>
    <td><a href="https://android.googlesource.com/platform/external/dnsmasq/+/ff755ca73c98a1f2706fe86996e4bf6215054834">A-64575136</a>
    [<a href="https://android.googlesource.com/platform/external/dnsmasq/+/68a974de72b5091ce608815a349daaeb05cdeab5">2</a>]</td>
    <td>RCE</td>
    <td>高</td>
    <td>4.4.4、5.0.2、5.1.1、6.0、6.0.1、7.0、7.1.1、7.1.2、8.0</td>
  </tr>
</tbody></table>

<h2 id="2017-10-05-details">セキュリティ パッチレベル 2017-10-05 の脆弱性の詳細</h2>
<p>パッチレベル 2017-10-05 に該当するセキュリティ脆弱性の各項目について、下記に詳細を説明します。影響を受けるコンポーネントごとに脆弱性を分類し、CVE、関連する参照先、<a href="#type">脆弱性のタイプ</a>、<a href="/security/overview/updates-resources.html#severity">重大度</a>、コンポーネント（該当する場合）、更新対象の AOSP バージョン（該当する場合）などの詳細を記載しています。該当する場合は、バグ ID の欄に、その問題に対処した一般公開されている変更（AOSP の変更の一覧など）へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に続く番号で、追加の参照先へのリンクを示します。</p>

<h3 id="kernel-components">カーネル コンポーネント</h3>
<p>カーネル コンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参照</th>
    <th>タイプ</th>
    <th>重大度</th>
    <th>コンポーネント</th>
  </tr>
  <tr>
    <td>CVE-2017-7374</td>
    <td>A-37866910<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1b53cf9815bb4744958d41f3795d5d5a1d365e2d">
アップストリーム カーネル</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>ファイル システム</td>
  </tr>
  <tr>
    <td>CVE-2017-9075</td>
    <td>A-62298712<br />
        <a href="http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=fdcee2cbb8438702ea1b328fb6e0ac5e9a40c7f8">
アップストリーム カーネル</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>ネットワーク サブシステム</td>
  </tr>
</tbody></table>

<h3 id="mediatek-components">MediaTek コンポーネント</h3>
<p>MediaTek コンポーネントの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参照</th>
    <th>タイプ</th>
    <th>重大度</th>
    <th>コンポーネント</th>
  </tr>
  <tr>
    <td>CVE-2017-0827</td>
    <td>A-62539960<a href="#asterisk">*</a><br />
        M-ALPS03353876<br />
        M-ALPS03353861<br />
        M-ALPS03353869<br />
        M-ALPS03353867<br />
        M-ALPS03353872</td>
    <td>EoP</td>
    <td>高</td>
    <td>SoC ドライバ</td>
  </tr>
</tbody></table>

<h3 id="qualcomm-components">Qualcomm コンポーネント</h3>
<p>Qualcomm コンポーネントの最も重大な脆弱性により、離れた場所にいる攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。</p>

<table>
  <colgroup><col width="17%" />
  <col width="19%" />
  <col width="9%" />
  <col width="14%" />
  <col width="39%" />
  </colgroup><tbody><tr>
    <th>CVE</th>
    <th>参照</th>
    <th>タイプ</th>
    <th>重大度</th>
    <th>コンポーネント</th>
  </tr>
  <tr>
    <td>CVE-2017-11053</td>
    <td>A-36895857<a href="#asterisk">*</a><br />
        QC-CR#2061544</td>
    <td>RCE</td>
    <td>重大</td>
    <td>SoC ドライバ</td>
  </tr>
  <tr>
    <td>CVE-2017-9714</td>
    <td>A-63868020<br />
        <a href="https://source.codeaurora.org/quic/la//platform/vendor/qcom-opensource/wlan/qcacld-2.0/commit/?id=aae237dfbaf8edcf310eeb84b887b20e7e9c0ff3">
QC-CR#2046578</a></td>
    <td>EoP</td>
    <td>重大</td>
    <td>ネットワーク サブシステム</td>
  </tr>
  <tr>
    <td>CVE-2017-9683</td>
    <td>A-62379105<br />
        <a href="https://source.codeaurora.org/quic/la//kernel/lk/commit/?id=fe4eae96375c27eaee04bbaf112bdc5c1de62977">
QC-CR#2036397</a></td>
    <td>EoP</td>
    <td>高</td>
    <td>Linux ブート</td>
  </tr>
</tbody></table>

<h2 id="questions">一般的な質問と回答</h2>
<p>上記の公開情報に対する一般的な質問についての回答は以下のとおりです。</p>

<p><strong>1. 上記の問題に対処するように端末が更新されているかどうかを確かめるには、どうすればよいですか？
</strong></p>

<p>端末のセキュリティ パッチレベルを確認する方法については、<a href="https://support.google.com/pixelphone/answer/4457705#pixel_phones&nexus_devices">Android のバージョンを確認して更新する</a>をご覧ください。</p>
<ul>
  <li>セキュリティ パッチレベル 2017-10-01 以降では、セキュリティ パッチレベル 2017-10-01 に関連するすべての問題に対処しています。</li>
  <li>セキュリティ パッチレベル 2017-10-05 以降では、セキュリティ パッチレベル 2017-10-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。
  </li>
</ul>
<p>このアップデートを組み込んだ端末メーカーは、パッチレベル文字列を以下に設定する必要があります。</p>
<ul>
  <li>[ro.build.version.security_patch]:[2017-10-01]</li>
  <li>[ro.build.version.security_patch]:[2017-10-05]</li>
</ul>
<p><strong>2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか？</strong></p>

<p>この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android 搭載端末で同様の問題が発生する一部の脆弱性をサブセットとし、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーには、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。</p>
<ul>
  <li>2017-10-01 のセキュリティ パッチレベルを使用する端末では、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。</li>
  <li>2017-10-05 以降のセキュリティ パッチレベルを使用する端末では、今回（およびそれ以前）のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを含める必要があります。</li>
</ul>
<p>パートナーには、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。</p>

<p id="type">
<strong>3. 「タイプ<em></em>」列の項目はどういう意味ですか？</strong></p>

<p>脆弱性の詳細の表で「タイプ<em></em>」列に記載した項目は、セキュリティの脆弱性の分類を示しています。</p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>略語</th>
   <th>定義</th>
  </tr>
  <tr>
   <td>RCE</td>
   <td>リモートコード実行</td>
  </tr>
  <tr>
   <td>EoP</td>
   <td>権限昇格</td>
  </tr>
  <tr>
   <td>ID</td>
   <td>情報開示</td>
  </tr>
  <tr>
   <td>DoS</td>
   <td>サービス拒否</td>
  </tr>
  <tr>
   <td>N/A</td>
   <td>該当する分類なし</td>
  </tr>
</tbody></table>
<p><strong>4. 「参照<em></em>」列の項目はどういう意味ですか？</strong></p>

<p>脆弱性の詳細の表で「参照<em></em>」列に記載されている内容には、参照の値が属している組織を示した接頭辞が含まれている場合があります。</p>

<table>
  <colgroup><col width="25%" />
  <col width="75%" />
  </colgroup><tbody><tr>
   <th>接頭辞</th>
   <th>参照</th>
  </tr>
  <tr>
   <td>A-</td>
   <td>Android バグ ID</td>
  </tr>
  <tr>
   <td>QC-</td>
   <td>Qualcomm の参照番号</td>
  </tr>
  <tr>
   <td>M-</td>
   <td>MediaTek の参照番号</td>
  </tr>
  <tr>
   <td>N-</td>
   <td>NVIDIA の参照番号</td>
  </tr>
  <tr>
   <td>B-</td>
   <td>Broadcom の参照番号</td>
  </tr>
</tbody></table>
<p id="asterisk"><strong>5. 「参照<em></em>」列の Android バグ ID の横にある「*」はどういう意味ですか？</strong></p>

<p>公開されていない問題には、「参照<em></em>」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、通常、<a href="https://developers.google.com/android/nexus/drivers">Google デベロッパー サイト</a>から入手できる Nexus 端末用最新バイナリ ドライバに含まれています。</p>

<p id="split">
<strong>6. セキュリティの脆弱性が、この公開情報と、端末、パートナーのセキュリティに関する公開情報（Pixel / Nexus のセキュリティに関する公開情報など）に分かれているのはなぜですか？</strong>
</p>
<p>
Android 搭載端末の最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要です。端末、パートナーのセキュリティに関する公開情報に掲載されているその他のセキュリティの脆弱性は必要ありません。<a href="https://security.samsungmobile.com/securityUpdate.smsb">Samsung</a>、<a href="https://lgsecurity.lge.com/security_updates.html">LGE</a> などの Android 搭載端末やチップセットのメーカーには、自社の端末に関して他にも修正がある場合は、自社のセキュリティ関連のウェブサイトや <a href="/security/bulletin/pixel">Pixel / Nexus</a> のセキュリティに関する公開情報にその情報を掲載することが推奨されています。
</p>

<p><strong>7. この公開情報の謝辞はどこに掲載されていますか？</strong></p>
<p>この公開情報の謝辞は、<a href="/security/overview/acknowledgements.html">Android セキュリティの謝辞</a>ページに直接掲載しています。</p>

<h2 id="versions">バージョン</h2>
<table>
  <colgroup><col width="25%" />
  <col width="25%" />
  <col width="50%" />
  </colgroup><tbody><tr>
   <th>バージョン</th>
   <th>日付</th>
   <th>メモ</th>
  </tr>
  <tr>
   <td>1.0</td>
   <td>2017 年 10 月 2 日</td>
   <td>情報公開</td>
  </tr>
  <tr>
   <td>1.1</td>
   <td>2017 年 10 月 3 日</td>
   <td>公開情報を改訂し AOSP リンクを追加</td>
  </tr>
</tbody></table>

</body></html>